import * as React from "react";
import { FieldChild } from "../../types/FieldChild";
import { FieldProps, FieldState } from "../../Field";
export declare class CustomField implements FieldChild {
    onChange: (state: Pick<FieldState, keyof FieldState>) => void;
    getProps: () => FieldProps;
    getState: () => FieldState;
    getContext: () => any;
    private originalValue;
    private name;
    constructor(onChange: (state: Pick<FieldState, keyof FieldState>) => void, getProps: () => FieldProps, getState: () => FieldState, getContext: () => any, originalValue: any, name: string);
    render(): React.ReactElement<any>;
    componentDidUpdate(prevProps: FieldProps, prevState: FieldState): void;
    propsUpdate(): void;
    private handleChange(value);
    private updateField();
    private nextInput(value, dirty);
}
