"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function formState(form) {
    var x = {};
    for (var _i = 0, _a = Object.keys(form); _i < _a.length; _i++) {
        var k = _a[_i];
        x[k] = inputState(k, (form[k]));
    }
    x.isSubmitted = false;
    x.isError = true;
    x.isValid = true;
    x.isChanged = false;
    return x;
    function inputState(name, value) {
        // Replace null values with undefined (friendlier to work with)
        return {
            name: name,
            honestError: 0,
            error: 0,
            dirty: false,
            value: value === null ? undefined : value,
            changed: false,
        };
    }
}
exports.formState = formState;
