import { FieldProps, FieldState } from "./Field";
export interface FieldChild {
    getProps: () => FieldProps;
    getState: () => FieldState;
    getContext: () => any;
    onChange: (state: Pick<FieldState, keyof FieldState>) => void;
    render(): React.ReactElement<any>;
    componentDidMount(): Partial<Pick<FieldState, keyof FieldState>>;
    componentDidUpdate(prevProps: FieldProps, prevState: FieldState): void;
}
