import * as React from "react";
import { FieldChild } from "../FieldChild";
import { FieldProps, FieldState } from "../Field";
export declare class InputField implements FieldChild {
    onChange: (state: Pick<FieldState, keyof FieldState>) => void;
    getProps: () => FieldProps;
    getState: () => FieldState;
    getContext: () => any;
    private static emailRegex;
    constructor(onChange: (state: Pick<FieldState, keyof FieldState>) => void, getProps: () => FieldProps, getState: () => FieldState, getContext: () => any);
    render(): React.ReactElement<any>;
    componentDidMount(): Partial<Pick<FieldState, keyof FieldState>>;
    componentDidUpdate(prevProps: FieldProps, prevState: FieldState): void;
    private handleInputOnBlur();
    private checkErrors(value, type);
    private handleInputChange(e);
    private nextInput(value, type, dirty);
}
