import * as React from "react";
import * as ReactDOM from "react-dom";
import {SimpleForm} from "./SimpleForm";
import {ClientSideForm} from "./ClientSideForm";
import {CustomComponentForm} from "./CustomComponentForm";
import {InvalidForm} from "./InvalidForm";

ReactDOM.render(
    <div>
        <h1>Simple Form</h1>
        <SimpleForm/>
        <h1>Client Side Form</h1>
        <ClientSideForm/>
        <h1>Custom Component Form</h1>
        <CustomComponentForm/>
        <h1>Invalid Form</h1>
        <p>
            Check examples to see various invalid usages.
            If this is working, then nothing should be visible after this point
        </p>
        <InvalidForm/>
    </div>,
    document.getElementById("entry"),
);

